Snapd 2.41 classic confinement GLIBC 2.25 not found

Bug #1846705 reported by Rudi Servo on 2019-10-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd
High
Unassigned

Bug Description

I found this in Manjaro but had reports in Xubuntu 19.04 has well but the issue is consistent to all fresh OS installation with --classic confinement
This happens in any application with --classic (vscode, slack, etc)

process:1303): Gtk-WARNING **: 15:31:54.946: Locale not supported by C library.
    Using the fallback 'C' locale.
/snap/core/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /usr/lib/libcrypto.so.1.1)
Failed to load module: /usr/lib/gio/modules/libgioopenssl.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: undefined symbol: g_mount_operation_get_is_tcrypt_system_volume
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
Gtk-Message: 15:31:55.313: Failed to load module "canberra-gtk-module"
Gtk-Message: 15:31:55.328: Failed to load module "canberra-gtk-module"

Rudi Servo (rudiservo) on 2019-10-04
tags: added: classic confinement glibc
description: updated
description: updated
Changed in snapd:
importance: Undecided → High
Rudi Servo (rudiservo) on 2019-10-04
description: updated
Zygmunt Krynicki (zyga) on 2019-10-08
Changed in snapd:
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers